<template>
  <div class="full-w-h dataQueries">
    <left-list @crossChange="crossChange" class="leftPart"/>
    <div class="rightPart">
      <right-form ref="rightForm" :crossData="crossData"/>
    </div>
  </div>

</template>

<script>
import LeftList from "@/views/dataQueries/leftLists/index.vue";
import RightForm from "@/views/dataQueries/rightForm/index.vue";

export default {
  components: {RightForm, LeftList},
  data(){
    return{
      crossData:null
    }
  },
  methods:{
    crossChange(crossData){
      this.crossData = crossData
      console.log('cross',crossData)
      setTimeout(()=>{
        this.$refs.rightForm.getData()
      },0)
    }
  }
}
</script>

<style lang="less" scoped>
.dataQueries{
  display: flex;
  justify-content: space-between;
  .leftPart{
    width: 400px;
  }
  .rightPart{
    width: calc(100% - 420px);
  }
}
</style>